# LIST OF PRIVILEGES:
#
# Access to specific forums (see forums.yaml for prefix values):
#  forum.access.<prefix>
#  forum.post.<prefix>
#  forum.post-news
#  forum.post-anywhere
# -> All forums are readable by default except <admin> and <creativecalc>
# -> All forums are writable by default except <admin>, <creativecalc>,
#    children of <news>, and forums with children ("categories")
# -> Use member.can_access_forum(forum) and member.can_post_in_forum(forum)
#
# Access to extended publication methods:
#  publish.schedule-posts
#  publish.pin-posts
#  publish.shared-files
#
# Moderation:
#  edit.posts (includes top comment selection)
#  edit.tests
#  edit.accounts
#  edit.trophies
#  delete.posts (includes triple XP removal)
#  delete.tests
#  delete.accounts
#  delete.shared-files
#  move.posts
#
# Shoutbox:
#  shoutbox.kick
#  shoutbox.ban
#
# Miscellaneous:
#  misc.unlimited-pms
#  misc.dev-infos
#  misc.arbitrary-login
#  misc.community-login
#  misc.admin-panel
#  misc.no-upload-limits
#
# TODO: PRIVILEGES NOT YET IMPLEMENTED:
# The features that these privileges control are not implemented yet, or the
# privilege checks are missing.
#
# publish.*
# edit.tests
# delete.tests delete.shared-files
# move.posts
# shoutbox.*
# misc.unlimited-pms

-
 name:  Administrateur
 css:   "color: #ee0000;"
 descr: "Vous voyez Chuck Norris ? Pareil."
 privs: forum.access.admin forum.access.creativecalc forum.post-news
        forum.post-anywhere
        publish.schedule-posts publish.pin-posts publish.shared-files
        edit.posts edit.tests edit.accounts edit.trophies
        delete.posts delete.tests delete.accounts delete.shared-files
        move.posts
        shoutbox.kick shoutbox.ban
        misc.unlimited-pms misc.dev-infos misc.admin-panel
        misc.no-upload-limits misc.arbitrary-login
-
 name:  Modérateur
 css:   "color: green;"
 descr: "Maîtres du kick, ils sont là pour faire respecter un semblant d'ordre."
 privs: forum.access.admin
        edit.posts edit.tests
        delete.posts delete.tests
        move.posts
        shoutbox.kick shoutbox.ban
        misc.unlimited-pms misc.no-upload-limits
-
 name:  Développeur
 css:   "color: #4169e1;"
 descr: "Les développeurs maintiennent et améliorent le code du site."
 privs: forum.access.admin forum.post-anywhere
        publish.schedule-posts publish.shared-files
        delete.shared-files
        misc.unlimited-pms misc.dev-infos misc.community-login misc.admin-panel
-
 name:  Rédacteur
 css:   "color: blue;"
 descr: "Rédigent les meilleurs articles de la page d'accueil, rien que pour
         vous <3"
 privs: forum.access.admin forum.post-news
        publish.schedule-posts publish.pin-posts publish.shared-files
        delete.shared-files
        misc.no-upload-limits misc.community-login
-
 name:  Responsable communauté
 css:   "color: DarkOrange;"
 descr: "Anime les pages Twitter et Facebook de Planète Casio et surveille
         l'évolution du monde autour de nous !"
 privs: forum.access.admin forum.post-news
        publish.schedule-posts publish.pin-posts publish.shared-files
        delete.shared-files misc.community-login
-
 name:  Partenaire
 css:   "color: purple;"
 descr: "Membres de l'équipe d'administration des sites partenaires."
 privs: forum.post-news
        publish.schedule-posts publish.shared-files
        delete.shared-files
-
 name:  Compte communautaire
 css:   "background:#d8d8d8; border-radius:4px; color:#303030; padding:1px 2px;"
 descr: "Compte à usage général de l'équipe de Planète Casio."
-
 name:  Robot
 css:   "color: #cf25d0;"
 descr: "♫ Je suis Nono, le petit robot, l'ami d'Ulysse ♫"
 privs: shoutbox.kick shoutbox.ban
-
 name:  Membre de CreativeCalc
 css:   "color: #222222;"
 descr: "CreativeCalc est l'association qui gère Planète Casio."
 privs: forum.access.creativecalc
-
 name:  No login
 css:   "color: #888888;"
 descr: "Compte dont l'accès au site est désactivé."
